</script>
<?php
$target='guia';
include("funciones/funciones_backup.php");
include("conexion/conexion.php");
include("Menu/menu_inicio.php");
include("Usuarios/mensajeros.php");




extract($_POST);
$nombrepagina = "DESCARGA DE GUIAS";
encabezado($target);
$user=$_SESSION['validar'];
$filas=1;
if($filas == 1){
	class llamado{
		var $menuObj;
		function validar1($id_user,$id_sucursal){
			$this->menuObj=new menu_inicio();
			$this->menuObj->menu2($id_user,$id_sucursal);
		}
	}
	$llamadoObj=new llamado();
	$llamadoObj->validar1($_GET['id_user'],$_GET['suc']);
	entrada($user,$_GET['id_user'],$_GET['suc']);
	echo"</td>";
	echo"<td width=79% background=\"imagenes/bg3.jpg\" valign=top>";
	mostrar_cabeza_trabajo($nombrepagina);

	class obtiene{
		var $userObj;
		function obtener($perfil){
			$this->userObj=new select_zonas();
			$tabla=$this->userObj->get_tabla($_GET['suc']);
			$_SESSION['tabla_guia']=$tabla;
		}
	}
	$eliminaObj=new obtiene();
	$eliminaObj->obtener($suc);
	$tabla=$_SESSION['tabla_guia'];
?>
<CENTER>
<form action="" method="POST" name="backup">
<table width="335" border="0" class="primaria">
<tr class=miTable_tr>
<td colspan="2" class=miTable_th1><div align="center">..:: Descargar como Entregada ::..</div></td>
</tr>
<tr class="miTable_tr">
<td width="100" class="miTable_td">
Guia No:</td>
<td width="200" class="miTable_td">
<input type="text" name="guia" class="inputbox"><br>
<input type="text" name="memor" value="" disabled class="inputbox" style="background-color:#E7EEFD;border-collapse:collapse; border:0px">
<input type="hidden" name="estado" value="14" class="inputbox">
<input type="hidden" name="tabla" value="<? echo $tabla;?>" class="inputbox">
</td>
</tr>
<tr class=miTable_tr>
<td class=miTable_th1 colspan="2">
<div align="center">
<input type="submit" name="Registrar" value="Entregada" class="inputbox">
</div>
</td>
</tr>
</table>
</form>
</CENTER>
<?
if(isset($Registrar)){
	class descargarGuia{
		var $crearObj;
		var $conexionObj;
		var $estado;
		function validar($guia,$tabla,$estado){
			$this->conexionObj= new conexion();
			$this->conexionObj->conectarse();
			$rst_select=$this->conexionObj->consultar("SELECT id_estado FROM $tabla WHERE guia = '$guia'");
			$var=mysql_num_rows($rst_select);
			$rows=mysql_fetch_array($rst_select);
			$valid=$rows[0];
			if($var>=1){
				$rst_select=$this->conexionObj->consultar("UPDATE ".$tabla." AS g INNER JOIN ordenes AS o ON g.orden=o.orden SET id_estado='".$estado."' WHERE guia = '".$guia."' AND id_mensajero != '0' AND id_estado in(13,14,15,16,17)");
				$affected=mysql_affected_rows();
				if($affected==0){
					$result="<font color='#C90808'>NO SE ACTUALIZO REGISTRO GUIA # ".$guia."</font>";
				}else{
					$this->userObj=new select_zonas();
					$id=$this->userObj->get_id($guia);
					$tabla_rastreo=$this->userObj->get_tabla_rastreo($_GET['suc']);
					$rst_select=$this->conexionObj->consultar("UPDATE ".$tabla_rastreo." SET E".$estado."='".$estado."', F".$estado." = now() WHERE guia = '".$guia."' AND id='".$id."'");
					$rst_retor=$this->conexionObj->consultar("UPDATE ".$tabla_rastreo." SET E15='0', F15 = '0000-00-00 00:00:00' WHERE guia = '".$guia."' AND id='".$id."'");
					$result="<font color='#64870F'>ACTUALIZO GUIA # $guia COMO ENTREGADA</font>";
				}
			}else{
				$result="<font color='#C90808'>LA GUIA # $guia NO EXISTE EN EL SISTEMA</font>";
			}
			echo '<center><table width="300" border="0" class="primaria"><tr class=miTable_tr>
			<td class=miTable_td><div align="center">
			..:: <b>'.$result.'</b> ::..</div></td></tr>';
			echo '</table></center></br>';

		}
	}// FIN DE LA CLASE CREARUSUARIO
	// CREACION DEL OBJETO
	$descargarGuiaObj=new descargarGuia();
	// CONFIGURANDO LAS PROPIEDADES DEL OBJETO
	// LAMANDO EL METODO DE NEGOCIO
	$descargarGuiaObj->validar($_POST['guia'],$_POST['tabla'],$_POST['estado']);
}
?>
<CENTER>
<IFRAME name=IF align="center" scrolling="no" marginWidth="0" marginHeight="0" src="ejecuta_cargar.php?tipo=1&titulo=Cargar Archivo Digitalizacion&tabla=<? echo $tabla;?>&sucursal=<? echo $_GET['suc'];?>" width="90%" height="300" border="0" frameborder="no">
</IFRAME>
</CENTER>
<?
mostrar_pie();
}
echo"</td>";
echo"</tr>";
echo"</table>";
echo"<table width=503 border=0 align=center cellpadding=0 cellspacing=0>";
echo"<tbody><tr>";
echo"<td></td>";
echo"</tr>";
echo"<tr>";
echo"<td height=7 background=imagenes/lineas_pie.jpg><img src=index2_files/spacer.html width=1 height=15></td>";
echo"</tr>";
echo"<tr>";
?><td>
<center>
<? pie_de_pagina();?>
</center>
</td><?php
echo"</tr>";
echo"</tbody></table>";
echo"</center>";
echo"</body>";
echo"</html>";
?>